<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Ohmmetro migliorato" identificatoreArgomento="MultiOhmmetro" prerequisiti="ohmlaw,analogInput,digitalOutput" tags="Base,AnalogInput,DigitalOutput,Software,PBL" fondamentale="false" mdPblproblem="true" mdPblnewlearninggoal="true" tempoRichiesto="0" versione="5">
    <mdprerequisitelist>legge di Ohm e partitore di tensione</mdprerequisitelist>
    <mdprerequisitelist>funzionamento dell'ADC e istruzione analogRead</mdprerequisitelist>
    <mdcomponentlist>Resistori noti di valore diverso, es 1k, 4.7k, 10k</mdcomponentlist>
    <mdwhy>Trovare il modo ottimale per utilizzare più resistori tra cui costruire il partitore, utilizzando i pin GPIO per accenderli e spegnerli quando serve.</mdwhy>
    <mdexpectedresult>Modificare l'esercizio sull'Ohmmetro affinché possa misurare valori di resistenza anche molto diversi tra loro con un errore accettabile (&lt;= 10%).</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior>Intuitivamente si potrebbe pensare di accendere e spegnere i resistori con stato HIGH/LOW, ma lo stato LOW non è adatto allo scopo perché con più resistori tra input analogico e GPIO LOW questi andrebbero in parallelo alterando la misura.</mderraticbehavior>
    <mdcommonerrors></mdcommonerrors>
    <mdlessonlearned>Utilizzare il partitore di tensione per ottenere il valore di un resistore incognito, sfruttando lo stato di INPUT dei GPIO per consentire di scegliere tra più resistori quale utilizzare.</mdlessonlearned>
    <mdsolution>Costruire il partitore, sostituendo il resistore noto che si trovava tra il pin di input analogico e la massa con vari resistori, ciascuno connesso tra il pin di input analogico e un diverso GPIO, i GPIO scelti serviranno poi da interruttore per selezionare il resistore da usare.</mdsolution>
    <mdpbldetails>Rilevare che non è possibile costruire un partiore con più possibili resistori tra cui scegliere, disattivando quelli inutilizzati con lo stato LOW del pin GPIO, perché a quel punto si creerebbe un parallelo di resistori con quello incognito che altererebbe la misurazione, serve uno stato in cui i pin GPIO dei resistori disattivati non conducono, si può utilizzare quanto appreso dall'esercizio sull'accensione di due LED con un GPIO, quindi utilizzare lo stato INPUT che ha alta impedenza, ed è adatto allo scopo.</mdpbldetails>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>multi-ohmmetro-bb.png</nomeFile>
            <testoDescrittivo>Costruzione ohmmetro su breadboard</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>multi-ohmmetro-schem.png</nomeFile>
            <testoDescrittivo>Schema ohmmetro</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
</itemFormativoEsercizio>
